Read Card Account List

Retrieve a list of card accounts with additional information, such as balances, using the PSD2 Account Information Service API.

Endpoint

GET /v1/card-accounts

Description

Returns a list of card accounts for the authenticated user. Balance information is included for each account.

You must have a valid consent and OAuth2 access token for the card accounts. Consent must be granted and stored on the ASPSP system.

Request

Query Parameters

No query parameters are supported for this endpoint.

Headers

HeaderTypeRequiredDescription
X-Request-IDUUIDMandatoryUnique identifier for this request, generated by the TPP.
Consent-IDUUIDMandatoryThe consent ID from the related AIS consent authorization.
AuthorizationStringMandatoryOAuth2 Bearer token obtained from the SCA process. Format: Bearer {token}
API-KeyStringMandatoryYour consumer key from the Developer Portal.
PSU-IP-AddressStringOptionalThe IP address of the user's device (forwarded from PSU to TPP).
PSU-IP-PortStringOptionalThe IP port of the user's device connection (if available).
PSU-Device-IDUUIDOptionalUnique identifier for the user's device or device-specific app installation.
PSU-Geo-LocationStringOptionalGeographic location of the user's device (if available).

Request Body

No request body is required for this endpoint.

Response

Success Response

Status Code: 200 OK

Response Headers

HeaderTypeDescription
X-Request-IDUUIDEcho of the request ID from the original request.

Response Body

FieldTypeDescription
accountsArray of ObjectsA list of card account objects.

Code Examples

curl -X GET \
https://mp-psd2-api.mypos.com/v1/card-accounts \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'

Response Example

{
    "accounts": [
        {
            "accountNumber": "50553500971",
            "maskedPan": "453754******2234",
            "iban": "BG49INTF40015055350097",
            "currency": "EUR",
            "name": "EUR Account",
            "product": "myPOS",
            "balances": [
                {
                    "amount": 120.260,
                    "currency": "EUR",
                    "balanceType": "available"
                }
            ]
        }
    ]
}